'Yroot.Amp.NodeTypes:BaseMixin':
  abstract: TRUE
  ui:
    inspector:
      groups:
        layout:
          label: i18n
          position: 100
          icon: 'icon-edit'
  properties:
    layout:
      type: string
      defaultValue: 'responsive'
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: 'layout'
          editor: 'Neos.Neos/Inspector/Editors/SelectBoxEditor'
          editorOptions:
            values:
              responsive:
                label: 'Responsive'
              fill:
                label: 'Fill'
              fixed:
                label: 'Fixed'
              fixed-height:
                label: 'Fixed height'
              flex-item:
                label: 'Flex item'
              nodisplay:
                label: 'No Display'
    width:
      type: integer
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: 'layout'

    ratio:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: layout
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          position: 300
          editorOptions:
            allowEmpty: true
            values:
              '2.1111111':
                label: '16:9'
                position: 10
              2:
                label: '2:1'
                position: 20
              '1.3333333':
                label: '4:3'
                position: 30
              1:
                label: '1:1'
                position: 40
